class Person:
  def __init__(self, name, age, address, wallet):
    self.name = name
    self.age = age
    self.address = address
    self.__wallet = wallet    #변수 앞에 __를 붙여서 비공개 속성으로 만듦
    
  def pay(self, amount):
    if amount > self.__wallet:
       print("돈이 모자라네요...")
       return
     
    self.__wallet -= amount   # 비공개 속성은 클래스 안의 메서드에서만 접근할 수 있음
    print(f"{self.name} 당신은 이제 {self.__wallet}원 남았네요.".format(self.name, self.__wallet))
    
maria = Person("마리아", 20, "서울시 서처구 반포동", 10000)           
maria.name = "홍길동"   # 일반속성이므로 변경 가능
maria.pay(3000)        # 비공개 속성이미로 클래스내 매서드에서만 접근할 수 있음  ==> 홍길동 당신은 이제 7000원 남았네요.